using System;
class HelloWorld
{
    static bool Check(int l, int r, int[] a)
    {
        int i = 0,count = 0;
        for(i=l;i<r;i++)
        {
            if (a[i] > a[i + 1] && count == 0)
            {
                count++;

            }
            else if (a[i] > a[i + 1]) return false;
        }
        return true;
    }
    static void Main()
    {
        int n = int.Parse(Console.ReadLine());
        int[] a = new int[n];
        int i = 0;
        var s = Console.ReadLine().Split();
        for(i=0;i<n;i++)
        {
            a[i] = int.Parse(s[i]);
        }
        int Q = int.Parse(Console.ReadLine());
        while (Q > 0)
        {
            s = Console.ReadLine().Split();
            int l = int.Parse(s[0]);
            int d = int.Parse(s[1]);
            l--;
            d--;
            if (Check(l, d, a)) Console.WriteLine("DA");
            else Console.WriteLine("NE");
           Q--;
        }
    }
}